Loading...
Searching...
No Matches
Opm::gpuistl::detail::CuSparseHandle Class Reference

The CuSparseHandle class provides a singleton for the simulator universal cuSparseHandle. More...

`#include <CuSparseHandle.hpp>`

## Public Member Functions

| CuSparseHandle (const CuSparseHandle &)=delete
CuSparseHandle & | operator= (const CuSparseHandle &)=delete
| ~CuSparseHandle ()
| Calls cuSparseDestroy on the handle.
cusparseHandle_t | get ()
| get returns the underlying cuSparse handle (to be used in calls to cusparse)

## Static Public Member Functions

static CuSparseHandle & | getInstance ()
| getInstance creates (if necessary) and returns the single unique instance of CuSparseHandle (singleton)

## Detailed Description

The CuSparseHandle class provides a singleton for the simulator universal cuSparseHandle.

Example use:

#include <opm/simulators/linalg/gpuistl/detail/CuSparseHandle.hpp>
void someFunction() {
auto& cuSparseHandle = ::Opm::gpuistl::detail::CuSparseHandle::getInstance();
int cuSparseVersion = -1;
OPM_CUSPARSE_SAFE_CALL(cusparseGetVersion(cuSparseHandle.get(), &cuSparseVersion));
}
Opm::gpuistl::detail::CuSparseHandle::getInstance
static CuSparseHandle & getInstance()
getInstance creates (if necessary) and returns the single unique instance of CuSparseHandle (singleto...
Definition CuSparseHandle.cpp:43

The documentation for this class was generated from the following files:

- opm/simulators/linalg/gpuistl/detail/CuSparseHandle.hpp
- opm/simulators/linalg/gpuistl/detail/CuSparseHandle.cpp